/* drop table if exists gva17; */
/* create table gva17 (cod_articu varchar, nro_lista integer, precio real); */

/* clientes */
create table gva14 (cod_client varchar, cod_vended varchar, cod_zona varchar, cond_vta integer, cuit varchar, dir_com varchar, domicilio varchar, e_mail varchar, grupo_empr varchar, iva_d varchar, iva_l varchar, localidad varchar, nom_com varchar, nro_lista integer, observacio varchar, porc_desc real, razon_soci varchar, telefono_1 varchar, telefono_2 varchar, tipo_doc integer, mon_cte bool, PRIMARY KEY ( cod_client ) );

/* condicin de venta */
create table gva01 (cond_vta integer, desc_cond varchar, PRIMARY KEY ( cond_vta ) );

/* vendedores */
create table gva23 (cod_vended varchar, nombre_ven varchar, PRIMARY KEY ( cod_vended ) );

/* listas de precios */
create table gva10 (decimales integer, nombre_lis varchar, nro_de_lis integer, PRIMARY KEY ( nro_de_lis ) );

/* familias y grupos */
create table sta29 (cod_agr varchar, nom_agr varchar, PRIMARY KEY ( cod_agr ) );

/* precios */
create table gva17 (cod_articu varchar, nro_de_lis integer, precio real, PRIMARY KEY ( nro_de_lis, cod_articu ) );

/* artculos */
create table sta11 (cod_articu varchar, cod_barra varchar, desc_adic varchar, descripcio varchar, equivale_v real, sinonimo varchar, usa_esc varchar, usa_partid bool, usa_serie bool, unidad_med varchar, unidad_ve varchar, PRIMARY KEY ( cod_articu ) );

/* detalle pedidos */
create table gva03 (can_equi_v real, cant_pedid real, cod_articu varchar, descuento real, n_renglon integer, nro_pedido varchar, precio real, talon_ped integer, PRIMARY KEY ( talon_ped, nro_pedido, n_renglon ) );

/* encabezado pedidos */
create table gva21 (cod_client varchar, cod_vended varchar, cond_vta integer, fecha_pedi datetime, n_lista integer, nro_pedido varchar, porc_desc real, talon_ped integer, total_pedi real, hora varchar, PRIMARY KEY ( talon_ped, nro_pedido ) );

/* parmetros */
create table param (id_param integer PRIMARY KEY, cod_vended varchar, servidor varchar, puerto integer, usuario varchar, clave varchar, familia integer);